Package org.snpeff.snpEffect

# Class ProteinFastaWriter

java.lang.Object
org.snpeff.snpEffect.ProteinFastaWriter

public class ProteinFastaWriter extends Object
Writes protein sequences to a FASTA file

Author:
  Pablo Cingolani

## Constructor Summary

Constructors
Constructor
Description
`ProteinFastaWriter(String fileName, boolean noRef, boolean verbose)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close file
`void`
`write(Variant var, VariantEffects variantEffects)`
Append ALT protein sequence to fasta protein file

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProteinFastaWriter

public ProteinFastaWriter(String fileName, boolean noRef, boolean verbose)

## Method Details

### close

public void close()
Close file

### write

public void write(Variant var, VariantEffects variantEffects)
Append ALT protein sequence to fasta protein file